{
  "txWithdrawCommissionContent": "<0>{{user}}</0> withdrew <1>{{amount}}</1> from their validator commission",
  "txDelegateContent": "<0>{{user}}</0> delegated <1>{{amount}}</1> to <2>{{to}}</2>",
  "txRedelegateContent": "<0>{{user}}</0> redelegated <1>{{amount}}</1> from <2>{{from}}</2> to <3>{{to}}</3>",
  "txUndelegateContent": "<0>{{user}}</0> undelegated <1>{{amount}}</1> from <2>{{from}}</2>",
  "txCreateValidatorContent": "<0>{{user}}</0> created validator <1>{{validator}}</1>",
  "txEditValidatorContent": "<0>{{validator}}</0> updated their validator details",
  "txSendContent": "<0>{{user}}</0> sent <1>{{amount}}</1> to <2>{{address}}</2>",
  "txMultisendContentOne": "<0>{{user}}</0> sent <1>{{amount}}</1> to the following recipients:",
  "txMultisendContentTwo": "<0>{{user}}</0> received <1>{{amount}}</1>",
  "txVerifyInvariantContent": "<0>{{user}}</0> verified invariant",
  "txFundContent": "<0>{{user}}</0> funded <1>{{amount}}</1> to the community pool",
  "txsetRewardAddressContent": "<0>{{user}}</0> set reward address <1>{{address}}</1>",
  "txWithdrawRewardContent": "<0>{{user}}</0> withdrew <1>{{amount}}</1> reward from <2>{{validator}}</2>",
  "txSubmitProposalContent": "<0>{{user}}</0> submitted a proposal",
  "txDepositContent": "<0>{{user}}</0> deposited <1>{{amount}}</1> to proposal <2>{{proposal}}</2>",
  "txVoteContent": "<0>{{user}}</0> voted <1>{{vote}}</1> to proposal <2>{{proposal}}</2>",
  "txUnjailContent": "<0>{{validator}}</0> unjailed",
  "txSaveProfileContent": "<0>{{user}}</0> saved their profile",
  "txDeleteProfileContent": "<0>{{user}}</0> deleted their profile",
  "txCreateRelationshipContent": "<0>{{sender}}</0> created a relationship with <1>{{receiver}}</1> inside the subspace <2>{{subspace}}</2>",
  "txRequestDTagTransferContent": "<0>{{sender}}</0> sent a Dtag transfer request to <1>{{receiver}}</1>",
  "txAcceptDTagTransferContent": "<0>{{receiver}}</0> accepted a Dtag transfer request from <1>{{sender}}</1>",
  "txCancelDTagTransferContent": "<0>{{sender}}</0> canceled a Dtag transfer request to <1>{{receiver}}</1>",
  "txRefuseDTagTransferContent": "<0>{{receiver}}</0> refused a Dtag transfer request from <1>{{sender}}</1>",
  "txBlockUserContent": "<0>{{blocker}}</0> blocked <1>{{blocked}}</1> inside the subspace <2>{{subspace}}</2>",
  "txUnblockUserContent": "<0>{{blocker}}</0> unblocked <1>{{blocked}}</1> inside the subspace <2>{{subspace}}</2>",
  "txCreateClientContent": "<0>{{signer}}</0> created IBC client with chain ID <1>{{chainId}}</1>",
  "txUpdateClientContent": "<0>{{signer}}</0> updated IBC client with chain ID <1>{{chainId}}</1> and client ID <1>{{clientId}}</1>",
  "txUpgradeClientContent": "<0>{{signer}}</0> upgraded IBC client with client ID <1>{{clientId}}</1>",
  "txSubmitMisbehaviourContent": "<0>{{signer}}</0> submitted IBC misbehaviour with client ID <1>{{clientId}}</1> ",
  "txHeightContent": "<0>{{signer}}</0> submitted IBC height",
  "txReceivePacketContent": "<0>{{signer}}</0> received IBC packet from source channel <1>{{sourceChannel}}</1>",
  "txChannelContent": "<0>{{signer}}</0> submitted IBC channel",
  "txCounterpartyContent": "<0>{{signer}}</0> submitted IBC counterparty",
  "txPacketContent": "<0>{{signer}}</0> submitted IBC packet",
  "txAcknowledgementContent": "<0>{{signer}}</0> submitted IBC acknowledgement with source channel <1>{{sourceChannel}}</1>",
  "txChannelCloseConfirmContent": "<0>{{signer}}</0> confirmed IBC channel close with channel ID <1>{{channelId}}</1> and port ID <1>{{portId}}</1>",
  "txChannelCloseInitContent": "<0>{{signer}}</0> initialised IBC channel close with channel ID <1>{{channelId}}</1> and port ID <1>{{portId}}</1>",
  "txChannelOpenAckContent": "<0>{{signer}}</0> acknowledged IBC channel open with channel ID <1>{{channelId}}</1>, port ID <1>{{portId}}</1>, counterparty channel ID <1>{{counterpartyChannelId}}</1> and counterparty version <1>{{counterpartyVersion}}</1>",
  "txChannelOpenConfirmContent": "<0>{{signer}}</0> confirmed IBC channel open with channel ID <1>{{channelId}}</1> and port ID <1>{{portId}}</1>",
  "txChannelOpenInitContent": "<0>{{signer}}</0> initialised IBC channel open with channel ID <1>{{channelId}}</1> and port ID <1>{{portId}}</1> ",
  "txChannelOpenTryContent": "<0>{{signer}}</0> tried to open IBC channel with channel ID <1>{{channel}}</1> and port ID <1>{{portId}}</1>. Counterparty version <1>{{counterpartyVersion}}</1>",
  "txConnectionOpenAckContent": "<0>{{signer}}</0> acknowledged IBC connection open with connection ID <1>{{connectionId}}</1> and counterparty connection ID <1>{{counterpartyConnectionId}}</1>",
  "txConnectionOpenConfirmContent": "<0>{{signer}}</0> confirmed open IBC connection with connection ID <1>{{connectionId}}</1>",
  "txConnectionOpenInitContent": "<0>{{signer}}</0> initialised open IBC connection with client ID <1>{{clientId}}</1> and counterparty client ID <1>{{counterparty}}</1>",
  "txConnectionOpenTryContent": "<0>{{signer}}</0> tried to open IBC connection with chain ID <1>{{chainId}}</1>, client ID <1>{{clientId}}</1>, counterparty client ID <3>{{counterpartyClientId}}</3> and counterparty connection ID <4>{{counterpartyConnectionId}}</4>",
  "txConnectionEndContent": "<0>{{signer}}</0> end IBC connection",
  "txVersionContent": "<0>{{signer}}</0> submitted IBC version",
  "txTransferContent": "<0>{{sender}}</0> sent <2>{{token}}</2> via IBC transfer from source channel <2>{{sourceChannel}}</2> to <1>{{receiver}}</1>",
  "txTimeoutContent": "<0>{{signer}}</0> IBC timeout",
  "txTimeoutOnCloseContent": "<0>{{signer}}</0> IBC timeout on close",
  "MsgGrant": "<0>{{granter}}</0> authorized a grant for <1>{{grantee}}</1>",
  "MsgRevoke": "<0>{{granter}}</0> revoked a grant for <1>{{grantee}}</1>",
  "MsgExec": "<0>{{grantee}}</0> executed a transaction",
  "MsgGrantAllowance": "<0>{{granter}}</0> granted allowance for <1>{{grantee}}</1>",
  "MsgRevokeAllowance": "<0>{{granter}}</0> revoked allowance for <1>{{grantee}}</1>",
  "MsgCreateVestingAccount": "Vesting account created for <0>{{toAddress}}</0>",
  "MsgCreatePeriodicVestingAccount": "Periodic vesting account created for <0>{{toAddress}}</0>",
  "MsgClaimJoltRewardContent": "<0>{{signer}}</0> claimed JOLT reward",
  "MsgDigitalDepositContent": "<0>{{depositor}}</0> deposited <1>{{amount}}</1> to digital lending",
  "MsgDigitalWithdrawContent": "<0>{{depositor}}</0> withdrawed <1>{{amount}}</1> from digital lending",
  "MsgDigitalBorrowContent": "<0>{{borrower}}</0> borrowed <1>{{amount}}</1> from digital lending",
  "MsgDigitalRepayContent": "<0>{{sender}}</0> repayed <1>{{amount}}</1> to digital lending for <2>{{owner}}</2>",
  "MsgSwapExactForBatchTokensContent": "<0>{{requester}}</0> swapped from <1>{{exact_token_a}}</1> to <2>{{token_b}}</2> with slippage <3>{{slippage}}</3>",
  "MsgRwaDepositContent": "<0>{{creator}}</0> deposited <1>{{token}}</1> to RWA pool <2>{{pool_index}}</2>",
  "MsgRwaClaimInterestContent": "<0>{{creator}}</0> claimed <1>{{amount}}</1> from RWA pool <2>{{pool_index}}</2>",
  "MsgRwaWithdrawPrincipalContent": "<0>{{creator}}</0> withdrawn <1>{{token}}</1> from RWA pool <2>{{pool_index}}</2>",
  "MsgRwaTransferOwnershipContent": "<0>{{creator}}</0> transfered it's ownership of RWA pool <2>{{pool_index}}</2>",
  "MsgSpvBorrowContent": "<0>{{creator}}</0> borrowed <1>{{token}}</1> from RWA pool <2>{{pool_index}}</2>",
  "MsgSpvUpdatePoolContent": "<0>{{creator}}</0> updated pool information with APY <1>{{pool_apy}}</1>, pool name \"<2>{{pool_name}}</2>\" and target amount <3>{{target_token_amount}}</3> of pool id <4>{{pool_index}}</4>",
  "MsgPlaceBidContent": "<0>{{bidder}}</0> bid <1>{{amount}}</1> to auction id <2>{{auction_id}}</2>",
  "MsgSwapDepositContent": "<0>{{depositor}}</0> deposited <1>{{token_a}}</1> and <2>{{token_b}}</2> to swap pool with slippage <3>{{slippage}}</3>",
  "MsgSwapWithdrawContent": "<0>{{from}}</0> withdrawn from swap pool with at least <1>{{token_a}}</1> and <2>{{token_b}}</2>",
  "MsgSpvAddInvestorsContent": "<0>{{creator}}</0> added investors <1>{{investor_iD}}</1> to pool id <2>{{pool_index}}</2>",
  "MsgSpvRepayInterestContent": "<0>{{creator}}</0> repayed <1>{{token}}</1> to RWA pool <2>{{pool_index}}</2>",
  "MsgClaimSPVRewardContent": "<0>{{sender}}</0> claimed <1>{{amount}}</1> JOLT from RWA pool <2>{{pool_index}}</2>"
}
